<?php

namespace Intergo\AnalyticsClient;

use Intergo\BaseClient\ApiHandler;
use Intergo\BaseClient\Enums\HttpMethodEnum;

class AnalyticsApiHandler extends ApiHandler
{
    protected static $endpoints = [
        'send' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/send'],
    ];

    protected static $apiPrefix = '/api/internal';
    protected static $apiVersion = '/v1';

    static function getEndpoint($endpoint): array
    {
        return static::$endpoints[$endpoint];
    }
}