<?php

namespace Intergo\AnalyticsClient;

use Intergo\BaseClient\Client;
use Intergo\BaseClient\Requests\BaseRequest;
use Intergo\BaseClient\Responses\BaseResponse;
use Intergo\BaseClient\Responses\BaseResponseInterface;
use Intergo\BaseClient\Responses\PaginationResponse;

class AnalyticsClient extends Client
{
    /**
     * @param $endpoint
     * @param $baseUrl
     * @param $params
     * @return BaseResponse|PaginationResponse
     */
    public function execute($endpoint, $baseUrl, $params): BaseResponseInterface
    {
        $url = $baseUrl . AnalyticsApiHandler::getUrl($endpoint, $params);
        $request = new BaseRequest($url);
        return $this->processRequest($request, $params, AnalyticsApiHandler::getMethod($endpoint));
    }
}
